#
# Conditional build:
%bcond_without	tests	# do not perform "make test" (use for extras/testtools pair bootstrap)
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Useful extra bits for Python - things that should be in the standard library
Summary(pl.UTF-8):	Przydatne dodatki do Pythona, które powinny być w bibliotece standardowej
Name:		python-extras
Version:	1.0.0
Release:	8
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/extras/
Source0:	https://files.pythonhosted.org/packages/source/e/extras/extras-%{version}.tar.gz
# Source0-md5:	3a63ad60cf8f0186c9e3a02f55ec5b14
URL:		https://github.com/testing-cabal/extras
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-testtools
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-testtools
%endif
%endif
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
extras is a set of extensions to the Python standard library,
originally written to make the code within testtools cleaner, but now
split out for general use outside of a testing context.

%description -l pl.UTF-8
extras to zbiór rozszerzeń biblioteki standardowej Pythona, pierwotnie
napisany, aby uczynić kod biblioteki testtools czytelniejszym, ale
później wydzielony do ogólnego użytku, nie tylko w kontekście testów.

%package -n python3-extras
Summary:	Useful extra bits for Python - things that should be in the standard library
Summary(pl.UTF-8):	Przydatne dodatki do Pythona, które powinny być w bibliotece standardowej
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-extras
extras is a set of extensions to the Python standard library,
originally written to make the code within testtools cleaner, but now
split out for general use outside of a testing context.

%description -n python3-extras -l pl.UTF-8
extras to zbiór rozszerzeń biblioteki standardowej Pythona, pierwotnie
napisany, aby uczynić kod biblioteki testtools czytelniejszym, ale
później wydzielony do ogólnego użytku, nie tylko w kontekście testów.

%prep
%setup -q -n extras-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m unittest discover -s extras.tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m unittest discover -s extras.tests
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/extras/tests
%endif

%if %{with python3}
%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/extras/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README.rst
%{py_sitescriptdir}/extras
%{py_sitescriptdir}/extras-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-extras
%defattr(644,root,root,755)
%doc LICENSE NEWS README.rst
%{py3_sitescriptdir}/extras
%{py3_sitescriptdir}/extras-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-extras.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 83f6b0a
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 7b465dd
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 877f50f
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> ebd0327
- release 5 (by relup.sh)

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 33ee022
- invoke unittest directly

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e861ef4
- rebuild with python 3.8
- release 4 (by relup.sh)

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0bb5409
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 80225d2
- python 3.6
- release 2 (by relup.sh)

* Sat May 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 33c2543
- updated to 1.0.0

* Sun Mar 06 2016 Jakub Bogusz <qboosh@pld-linux.org> a471c58
- updated python packaging

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ae7457f
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 72e84e0
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bcaed87
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f034caa
- python3.5 rebuild
- release 5 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 536516b
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b63a3ab
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9794f0c
- python 3.4
- release 2 (by relup.sh)

* Wed Dec 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 5263466
- reverted test patch; buffer and catch parameters are available when testtools are installed before

* Tue Dec 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 9cc8b86
- new

